package org.artgasmator.service;

import java.util.List;

import org.artgasmator.model.AlbumGenre;
import org.springframework.security.access.prepost.PreAuthorize;

public interface AlbumGenreService {
	
	public List<AlbumGenre> loadGenres();
	
	public void createGenre(AlbumGenre albumGenre);
	
	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public void deleteGenre(Integer genreId);

}
